Page MenuHomePhabricator

Update 2030.wikimedia.org redirect to new URI
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 6 2020, 8:14 PM

Change 632552 had a related patch set uploaded (by Samuel (WMF); owner: Samuel (WMF)):
[operations/puppet@production] Update redirection of 2030.wikimedia.org with new URI

https://gerrit.wikimedia.org/r/632552

RhinosF1 claimed this task.Oct 6 2020, 8:18 PM
Restricted Application added a project: User-RhinosF1. · View Herald TranscriptOct 6 2020, 8:18 PM
RhinosF1 removed RhinosF1 as the assignee of this task.Oct 6 2020, 8:18 PM
RhinosF1 added a subscriber: RhinosF1.

Was gonna do a patch but I'll review what exists

Abbad added a subscriber: Abbad.Oct 7 2020, 11:19 AM
JMeybohm assigned this task to Dzahn.Oct 12 2020, 10:42 AM
JMeybohm triaged this task as Medium priority.
JMeybohm added subscribers: Dzahn, JMeybohm.

Assigned to @Dzahn, since it looks as if a additional review of yours has been requested.

Dzahn removed Dzahn as the assignee of this task.Oct 12 2020, 1:50 PM
Abbad added a comment.Sat, Nov 7, 1:20 PM

Hey. Sorry, I'm not aware of the procedures here but it seems to have been a little while. Any update or action needed from my side?

Someone from Operations needs to merge https://gerrit.wikimedia.org/r/c/632552

@Dzahn was requested for review

Dzahn added a comment.Sat, Nov 7, 6:57 PM

I am currently on vacation. Please try to find other reviewers to speed this up.

Change 632552 merged by Kormat:
[operations/puppet@production] Update redirection of 2030.wikimedia.org with new URI

https://gerrit.wikimedia.org/r/632552

Kormat added a subscriber: Kormat.Wed, Nov 18, 2:11 PM

Hi. I have merged the gerrit change, but

  • i'm not sure how long it's going to take to take effect
  • the current redirect is a 301 (a 'permenant' redirect), so browsers that have visited the url before are likely to still go to the old location.

Mentioned in SAL (#wikimedia-operations) [2020-11-18T14:13:57Z] <Urbanecm> Purge https://2030.wikimedia.org/ via purgeList.php (T264797)

Mentioned in SAL (#wikimedia-operations) [2020-11-18T15:03:25Z] <Urbanecm> Purge https://2030.wikimedia.org/ via purgeList.php (T264797)

Urbanecm closed this task as Resolved.Wed, Nov 18, 3:04 PM
Urbanecm assigned this task to Kormat.
Urbanecm added a subscriber: Urbanecm.

Did a second HTCP purge after Puppet propagated it everywhere, and it seems to work:

urbanecm@titanium  ~
$ curl --silent -I https://2030.wikimedia.org/ | grep -ie location -e server:
server: mw1364.eqiad.wmnet
location: https://meta.wikimedia.org/wiki/Wikimedia_2030
urbanecm@titanium  ~
$

Closing.

sguebo_WMF added a comment.EditedWed, Nov 18, 3:14 PM

Hi. I have merged the gerrit change, but

  • i'm not sure how long it's going to take to take effect
  • the current redirect is a 301 (a 'permenant' redirect), so browsers that have visited the url before are likely to still go to the old location.

Thanks a lot @Kormat. I think the redirect works fine now as I've tested it on my end.

Abbad added a comment.Wed, Nov 18, 5:20 PM

Works very well. THANK you both for your time!

Dzahn added a comment.Wed, Nov 18, 6:35 PM

Thank you @Kormat for merging this! Much appreciated. Also I learned that purgeList can be used by deployers. Nice.